#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;cin>>n;
    string s; cin>>s;
    if(n<26){
        cout<<0<<endl;
    }
    else if(n==26){
        bool ok = true;
        for(int i = 0;i<n-1;i++){
            if(s[i]>=s[i+1]){
                ok = false;
            }
        }
        if(ok){cout<<1<<endl;}
        else{cout<<0<<endl;}
    }
    else if(n==27){
        bool opasno = false;
        bool ok = true;
        int t = 0;
        for(int i = 0;i<n-1;i++){
            if(s[i]>s[i+1]){
                opasno = true;
                t += 1;
            }
            else if(s[i]==s[i+1]){
                opasno = true;
                t += 2;
            }
            else if(s[i+1]-s[i]>1){
                opasno = true;
            }
            if(opasno){
                for(int j = i+1;j<n-2;j++){
                    //cout<<"ovo je za "<<j<<j+1<<" redom, a to predstavljaju slova"<<s[j]<<s[j+1]<<endl;
                    if(s[j]>=s[j+1]){
                        ok = false;
                    }
                }
            }
        }
        if(ok){cout<<t<<endl;}
        else{cout<<0<<endl;}
    }
    else{
        cout<<0<<endl;
    }
}